Subject: bug#32352: 27.0.50; build error

From: Noam Postavsky <[email-masked]>
Date: Tue, 13 Nov 2018 08:54:24 -0500

tags 32352 fixed
close 32352 
quit

Eli Zaretskii <[email-masked]> writes:

> I see no need to do this on the release branch, especially since a
> pretest of Emacs 26.2 is about to be produced.

Yeah, I there's an easy workaround and we probably won't be changing
files.el all that often on the release branch anyway.  Pushed to master.

[1: 197bf4eaac]: 2018-11-13 08:25:35 -0500
  Fix build fail on files.el change (Bug#32352)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=197bf4eaac0ed98549f4343a653ba21aac47c855>

>> (although I'm suddenly unable to build it today, I get tons of
>> "undefined reference to X" link errors (including X=main!?)).

> Builds fine for me, FWIW.

I'm not surprised, it looks like some kind of toolchain failure (maybe I
have some selective hard drive corruption?  It's very strange...).